Welcome to 3DCADForums

Join our CAD community forums where over 25,000 users interact to solve day to day problems and share ideas. We encourage you to visit, invite you to participate and look forward to your input and opinions. Acrobat 3D, AutoCAD, Catia, Inventor, IronCAD, Creo, Pro/ENGINEER, Solid Edge, SolidWorks, and others.

Register Log in

CHANGING LAND DESKTOP DEFULT PROFILE GRID SETTINGS

J

JRCOLSON

Guest
DOES ANYONE HAVE KNOW HOW TO CHANGE THE LINETYPE, COLOR AND SETTINGS OF THE DEFALUT PROFILE GRID?
 

support

New member
You can't, but...

:) We found an answer to your question in an Autodesk discussion group! I hope it help.

**********************************
Reply From: Jeff Mishler
Date: Jan/06/06 - 19:35 (GMT)
Reply
Re: CHANGING LAND DESKTOP DEFULT PROFILE GRID SETTINGS
You can't. You can, however, setup a toolbar button with a call to a small
lisp routine to reset the layers to your prferences after they are created.
Here's what I use:

(defun c:pro_lay ()
(vl-load-com)
(if (not (tblsearch "ltype" "D125"))
(command "-linetype" "load" "D125" "" "")
)
(vlax-for lay (vla-get-layers (vla-get-activedocument
(vlax-get-acad-object)))
(cond
((wcmatch (vla-get-name lay) "*PBASE,*PVGRID")(vla-put-color lay 2))
((wcmatch (vla-get-name lay) "*PFGC")(vla-put-color lay 6))
((wcmatch (vla-get-name lay) "*PEGC*")(vla-put-color lay
3)(vla-put-linetype lay "D125"))
((wcmatch (vla-get-name lay) "*PGRID")(vla-put-color lay 8))
)
)
(vla-regen (vla-get-activedocument (vlax-get-acad-object))
acActiveViewport)
(princ)
)
*****************************

Thanks for using the board!

3DCADTips Q&A Board Support.
 

support

New member
More related disussionn

:) This Autodesk Discussion Board thread contains some related information. We thought you might find it useful.

http://www.3dcadtips.com/3DCADTips_External.php?site=http://discussion.autodesk.com/thread.jspa?forumID=81&threadID=447900

Thanks for using the Q&A Board! ;-)

3DCADTips.com Q&A Board Support
 
E

Elrond de Creep

Guest
There's always a work around! Can't is not in the AutoCAD dictionary...lol

Why not set up a new blank drawing with all the settings the way you want them...sometimes called a template.....and then save this for use later with a name you can find...JoeSmoePreferences.dwg.....then insert the drawing you want to change into the JoeSmoePreference.dwg.......Save it as a 2nd Version of the drawing you inserted so that you keep the original intact...this is always very important!....the inserted drawing should take on the properties of JoeSmoePreference.dwg with minor adjustments perhaps to layers which can easily be fixed using LayerManager Tools.....give it a try first on a test drawing and see what happens.....create a procedure that works for you....write it down...very important...better make it a word doc...lol...and then you can use it over and over and it will be become old hat...:rolleyes: Good luck.
 

Sponsor

Top